using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

using Krystalware.SlickUpload.Controls;
using Krystalware.SlickUpload.Status;

public partial class UploadPage2 : System.Web.UI.Page 
{
    protected void uploadManager_UploadComplete(object sender, UploadStatusEventArgs args)
    {
        uploadPanel.Visible = false;
        uploadResultsPanel.Visible = true;

        if (args.Status.Reason == UploadTerminationReason.NotTerminated)
        {
            resultsMessage.InnerText = "Upload completed successfully. The following files were uploaded:";

            resultsRepeater.DataSource = args.Status.GetUploadedFiles();
            resultsRepeater.DataBind();
        }
        else
        {
            if (args.Status.Reason == UploadTerminationReason.Disconnected)
            {
                resultsMessage.InnerText = "Upload was cancelled.";
            }
            else
            {
                resultsMessage.InnerHtml = "Upload resulted in an error.<br />Reason:" + args.Status.Reason.ToString() + "<br />Message:" +
                    args.Status.ErrorMessage;
            }
            resultsMessage.Style["color"] = "red";
        }
    }

    protected void restartButton_Click(object sender, EventArgs e)
    {
        uploadPanel.Visible = true;
        uploadResultsPanel.Visible = false;
    }
}
